import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsFlex as GdsFlexClass } from "../../../components/flex/flex.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsFlex = (props) => {
  GdsFlexClass.define();
  const JSXElement = getReactComponent("gds-flex");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsFlex.displayName = "GdsFlex";
export {
  GdsFlex
};
